#
# TODO:
#	- check why the tests fail
#
# Conditional build:
%bcond_with	tests	# run tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	elftools
Summary:	Pure-Python library for parsing and analyzing ELF files
Summary(pl.UTF-8):	Czysto pythonowa biblioteka do analizy plików ELF
Name:		python-%{module}
Version:	0.29
Release:	1
License:	public domain
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/p/pyelftools/pyelftools-%{version}.tar.gz
# Source0-md5:	2afc97cd239c0dea0cca97d00d3dcb42
URL:		https://github.com/eliben/pyelftools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyelftools is a pure-Python library for parsing and analyzing ELF
files and DWARF debugging information.

%description -l pl.UTF-8
pyelftools to czysto pythonowa biblioteka do analizy plików ELF oraz
informacji dla debuggera DWARF.

%package -n python3-%{module}
Summary:	Pure-Python library for parsing and analyzing ELF files
Summary(pl.UTF-8):	Czysto pythonowa biblioteka do analizy plików ELF
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
pyelftools is a pure-Python library for parsing and analyzing ELF
files and DWARF debugging information.

%description -n python3-%{module} -l pl.UTF-8
pyelftools to czysto pythonowa biblioteka do analizy plików ELF oraz
informacji dla debuggera DWARF.

%prep
%setup -q -n pyelftools-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} ./test/all_tests.py
%endif
%endif

%if %{with python3}
%py3_build %{?with_tests:test}

%if %{with tests}
%{__python3} ./test/all_tests.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

# readelf clone example
%{__rm} $RPM_BUILD_ROOT%{_bindir}/readelf.py

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE CHANGES
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pyelftools-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE CHANGES
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pyelftools-%{version}-py*.egg-info
%endif
%changelog
* Thu Sep 15 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-elftools.git;a=log;h=master

* Thu Sep 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 1e6732a
- updated to 0.29

* Mon Jul 11 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 61908cf
- Up to 0.28.

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c0c162f
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 18d5b57
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> bff63d1
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 7fdf548
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d91a946
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7765a6e
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d80f5ed
- python 3.6
- release 6 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ffe6aa1
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d186937
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 60fdd1d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e31ddc2
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 17f40ca
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> adcee46
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> f2dda54
- pl, check-files cleanup

* Fri Jun 19 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 29e9277
- new package

